.TH XScreenSaver 1 "14-Jun-97" "X Version 11"
.SH NAME
cwaves - languid sinusoidal colors
.SH SYNOPSIS
.B cwaves
[\-display \fIhost:display.screen\fP]
[\-foreground \fIcolor\fP]
[\-background \fIcolor\fP]
[\-window]
[\-root]
[\-mono]
[\-install]
[\-visual \fIvisual\fP]
[\-delay \fIusecs\fP]
[\-waves \fIint\fP]
[\-colors \fIint\fP]
[\-fps]
.SH DESCRIPTION
The \fIcwaves\fP program draws a languidly-scrolling vertical field
of sinusoidal colors.
.SH OPTIONS
.I cwaves
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-mono 
If on a color display, pretend we're on a monochrome display.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-delay \fImicroseconds\fP
How much of a delay should be introduced between steps of the animation.
Default 20000, or about 1/50th second.
.TP 8
.B \-waves \fIint\fP
How many cosines to add together.  The more waves, the more complex
the apparent motion.
.TP 8
.B \-colors \fIint\fP
How many colors to use.  Default 800.  The more colors, the smoother the
blending will be.
.TP 8
.B \-fps
Display the current frame rate and CPU load.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2007 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski <jwz@jwz.org>, 2-Jul-2007.
